
//
// Auto generated file by CMake macros cross_compiled_file()
// !! do not modify it !!!
//
#include "/builddir/build/BUILD/openvino-2024.5.0-build/openvino-2024.5.0/src/plugins/intel_cpu/src/nodes/kernels/scaled_attn/attn_quant.hpp"
#include "openvino/runtime/system_conf.hpp"

namespace ov {
namespace Extensions {
namespace Cpu {
namespace AVX512F {
    void attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                  const ov::intel_cpu::PlainTensor& v_src,
                  const ov::intel_cpu::PlainTensor& k_dst,
                  const ov::intel_cpu::PlainTensor& v_dst,
                  const ov::intel_cpu::PlainTensor& k_scale_zp,
                  const ov::intel_cpu::PlainTensor& v_scale_zp); 
}
namespace AVX2 {
    void attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                  const ov::intel_cpu::PlainTensor& v_src,
                  const ov::intel_cpu::PlainTensor& k_dst,
                  const ov::intel_cpu::PlainTensor& v_dst,
                  const ov::intel_cpu::PlainTensor& k_scale_zp,
                  const ov::intel_cpu::PlainTensor& v_scale_zp); 
}
namespace ANY {
    void attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                  const ov::intel_cpu::PlainTensor& v_src,
                  const ov::intel_cpu::PlainTensor& k_dst,
                  const ov::intel_cpu::PlainTensor& v_dst,
                  const ov::intel_cpu::PlainTensor& k_scale_zp,
                  const ov::intel_cpu::PlainTensor& v_scale_zp); 
}
namespace XARCH {

void attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                  const ov::intel_cpu::PlainTensor& v_src,
                  const ov::intel_cpu::PlainTensor& k_dst,
                  const ov::intel_cpu::PlainTensor& v_dst,
                  const ov::intel_cpu::PlainTensor& k_scale_zp,
                  const ov::intel_cpu::PlainTensor& v_scale_zp) {
    if (with_cpu_x86_avx512f()) {
        return AVX512F::attn_quantkv(k_src, v_src, k_dst, v_dst, k_scale_zp, v_scale_zp);
    }
    if (with_cpu_x86_avx2()) {
        return AVX2::attn_quantkv(k_src, v_src, k_dst, v_dst, k_scale_zp, v_scale_zp);
    }
    if (true) {
        return ANY::attn_quantkv(k_src, v_src, k_dst, v_dst, k_scale_zp, v_scale_zp);
    }
}

}
namespace AVX512F {
    void paged_attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                        const ov::intel_cpu::PlainTensor& v_src,
                        const ov::intel_cpu::PlainTensor& k_dst,
                        const ov::intel_cpu::PlainTensor& v_dst,
                        const ov::intel_cpu::PlainTensor& slot_mapping); 
}
namespace AVX2 {
    void paged_attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                        const ov::intel_cpu::PlainTensor& v_src,
                        const ov::intel_cpu::PlainTensor& k_dst,
                        const ov::intel_cpu::PlainTensor& v_dst,
                        const ov::intel_cpu::PlainTensor& slot_mapping); 
}
namespace ANY {
    void paged_attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                        const ov::intel_cpu::PlainTensor& v_src,
                        const ov::intel_cpu::PlainTensor& k_dst,
                        const ov::intel_cpu::PlainTensor& v_dst,
                        const ov::intel_cpu::PlainTensor& slot_mapping); 
}
namespace XARCH {

void paged_attn_quantkv(const ov::intel_cpu::PlainTensor& k_src,
                        const ov::intel_cpu::PlainTensor& v_src,
                        const ov::intel_cpu::PlainTensor& k_dst,
                        const ov::intel_cpu::PlainTensor& v_dst,
                        const ov::intel_cpu::PlainTensor& slot_mapping) {
    if (with_cpu_x86_avx512f()) {
        return AVX512F::paged_attn_quantkv(k_src, v_src, k_dst, v_dst, slot_mapping);
    }
    if (with_cpu_x86_avx2()) {
        return AVX2::paged_attn_quantkv(k_src, v_src, k_dst, v_dst, slot_mapping);
    }
    if (true) {
        return ANY::paged_attn_quantkv(k_src, v_src, k_dst, v_dst, slot_mapping);
    }
}

}
namespace AVX512F {
    void attn_quant_u8(const float* src, uint8_t* dst, size_t n, float& scale, float& zp); 
}
namespace AVX2 {
    void attn_quant_u8(const float* src, uint8_t* dst, size_t n, float& scale, float& zp); 
}
namespace ANY {
    void attn_quant_u8(const float* src, uint8_t* dst, size_t n, float& scale, float& zp); 
}
namespace XARCH {

void attn_quant_u8(const float* src, uint8_t* dst, size_t n, float& scale, float& zp) {
    if (with_cpu_x86_avx512f()) {
        return AVX512F::attn_quant_u8(src, dst, n, scale, zp);
    }
    if (with_cpu_x86_avx2()) {
        return AVX2::attn_quant_u8(src, dst, n, scale, zp);
    }
    if (true) {
        return ANY::attn_quant_u8(src, dst, n, scale, zp);
    }
}

}
namespace AVX512F {
    void attn_dequant_u8(const uint8_t* src, float* dst, size_t n, float scale, float zp); 
}
namespace AVX2 {
    void attn_dequant_u8(const uint8_t* src, float* dst, size_t n, float scale, float zp); 
}
namespace ANY {
    void attn_dequant_u8(const uint8_t* src, float* dst, size_t n, float scale, float zp); 
}
namespace XARCH {

void attn_dequant_u8(const uint8_t* src, float* dst, size_t n, float scale, float zp) {
    if (with_cpu_x86_avx512f()) {
        return AVX512F::attn_dequant_u8(src, dst, n, scale, zp);
    }
    if (with_cpu_x86_avx2()) {
        return AVX2::attn_dequant_u8(src, dst, n, scale, zp);
    }
    if (true) {
        return ANY::attn_dequant_u8(src, dst, n, scale, zp);
    }
}

}
}  // namespace ov
}  // namespace Extensions
}  // namespace Cpu
